Define user data interactively in the console
=============================================

Synopsis
-------------

.. note::

    | The user will enter variable values in a command-line interface. The variables will be displayed one after another, allowing the user to change or add values.
    | **Disabled**: if questionary is not set in "select for user data" (step.user_data).

Parameters
--------------

.. list-table::

   * - Variable
     - Description

   * - **questionary.mandatory**

       `boolean <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `mandatory`

       **Command line**: 

       

       - -qm, --questionary.mandatory

       - -nqm, --questionary.no-mandatory

       

       **Environment variable**: ROUGAILCLI_QUESTIONARY.MANDATORY
     - Ask values only for mandatories variables without any value.

       **Default**: false

   * - **questionary.show_secrets**

       `boolean <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `mandatory`

       **Command line**: 

       

       - -qs, --questionary.show_secrets

       - -nqs, --questionary.no-show_secrets

       

       **Environment variable**: ROUGAILCLI_QUESTIONARY.SHOW_SECRETS
     - Show secrets instead of obscuring them.

       **Default**: false
